Unlock audience report

This endpoint initiates the retrieval of a new audience report that is not currently in our active dataset.

To retrieve the report, you will need to use the Get audience report - latest endpoint.

As such, requests to this endpoint are capped based on your current API subscription tier. Once the monthly cap is reached, further requests will return a 429 error.

For detailed information on the monthly unlocking limits associated with each plan, please refer to our pricing page.

Request

POST /api/v2/artist/{uuid}/audience/{platform}/report

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A social platform code Required

Response

Code Description Resource
200 OK

An Artist audience report response

Audience Report
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

405 Method Not Allowed

Sandbox only. This operation is not allowed on sandbox environment

429 Too Many Requests

Maximum quota reached

Explore

An artist UUID

A social platform code

Try it out